Skip to main content
GET
Get validator rewards metrics
Using this endpoint, you can query the historical daily rewards of a validator by their unique stashAccountAddress, which is the address that manages the staking operations of a validator. The rewards are denominated in DOT and are attributed to a specific day when rewards were claimed.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

validator_address
string
required

Query Parameters

limit
integer
default:10

The number of results returned per page

offset
integer
default:0

The number of results to skip before starting to return

fromDate
string<date> | null

Start date

Example:

"2023-01-01"

toDate
string<date> | null

End date

Example:

"2023-12-31"

Response

Successful Response

previous
string | null
required
next
string | null
required
pages
integer
required
Required range: x >= 0
results
PolkadotValidatorRewards · object[]
required